import { omit } from "lodash";
import * as Victory from "victory";
import {
  Area,
  Axis,
  Background,
  Bar,
  Border,
  Box,
  BrushHelpers,
  Candle,
  CanvasBar,
  CanvasCurve,
  CanvasGroup,
  CanvasPoint,
  Circle,
  ClipPath,
  Collection,
  CursorHelpers,
  Curve,
  Data,
  DefaultTransitions,
  Domain,
  ErrorBar,
  Events,
  Flyout,
  Helpers,
  LabelHelpers,
  Line,
  LineSegment,
  Log,
  Path,
  Point,
  Portal,
  PropTypes,
  RawZoomHelpers,
  Rect,
  Scale,
  Selection,
  SelectionHelpers,
  Slice,
  Style,
  TSpan,
  Text,
  TextSize,
  Transitions,
  UserProps,
  VictoryAccessibleGroup,
  VictoryAnimation,
  VictoryArea,
  VictoryAxis,
  VictoryBar,
  VictoryBoxPlot,
  VictoryBrushContainer,
  VictoryBrushLine,
  VictoryCandlestick,
  VictoryChart,
  VictoryClipContainer,
  VictoryContainer,
  VictoryCursorContainer,
  VictoryErrorBar,
  VictoryGroup,
  VictoryHistogram,
  VictoryLabel,
  VictoryLegend,
  VictoryLine,
  VictoryPie,
  VictoryPolarAxis,
  VictoryPortal,
  VictoryScatter,
  VictorySelectionContainer,
  VictorySharedEvents,
  VictoryStack,
  VictoryTheme,
  VictoryTooltip,
  VictoryTransition,
  VictoryVoronoi,
  VictoryVoronoiContainer,
  VictoryZoomContainer,
  Voronoi,
  VoronoiHelpers,
  Whisker,
  Wrapper,
  ZoomHelpers,
  addEvents,
  brushContainerMixin,
  combineContainerMixins,
  createContainer,
  cursorContainerMixin,
  makeCreateContainerFunction,
  selectionContainerMixin,
  useCanvasContext,
  voronoiContainerMixin,
  zoomContainerMixin,
} from "victory";

describe("victory", () => {
  it("ensure it has named exports", () => {
    expect(Area).toBeInstanceOf(Function);
  });
  it("ensure everything is exported correctly", () => {
    expect(Object.keys(Victory)).toMatchInlineSnapshot(`
      Array [
        "Area",
        "Axis",
        "Background",
        "Bar",
        "Border",
        "Box",
        "BrushHelpers",
        "Candle",
        "CanvasBar",
        "CanvasCurve",
        "CanvasGroup",
        "CanvasPoint",
        "Circle",
        "ClipPath",
        "Collection",
        "CursorHelpers",
        "Curve",
        "Data",
        "DefaultTransitions",
        "Domain",
        "ErrorBar",
        "Events",
        "Flyout",
        "Helpers",
        "LabelHelpers",
        "Line",
        "LineSegment",
        "Log",
        "Path",
        "Point",
        "Portal",
        "PropTypes",
        "RawZoomHelpers",
        "Rect",
        "Scale",
        "Selection",
        "SelectionHelpers",
        "Slice",
        "Style",
        "TSpan",
        "Text",
        "TextSize",
        "Transitions",
        "UserProps",
        "VictoryAccessibleGroup",
        "VictoryAnimation",
        "VictoryArea",
        "VictoryAxis",
        "VictoryBar",
        "VictoryBoxPlot",
        "VictoryBrushContainer",
        "VictoryBrushLine",
        "VictoryCandlestick",
        "VictoryChart",
        "VictoryClipContainer",
        "VictoryContainer",
        "VictoryCursorContainer",
        "VictoryErrorBar",
        "VictoryGroup",
        "VictoryHistogram",
        "VictoryLabel",
        "VictoryLegend",
        "VictoryLine",
        "VictoryPie",
        "VictoryPolarAxis",
        "VictoryPortal",
        "VictoryScatter",
        "VictorySelectionContainer",
        "VictorySharedEvents",
        "VictoryStack",
        "VictoryTheme",
        "VictoryTooltip",
        "VictoryTransition",
        "VictoryVoronoi",
        "VictoryVoronoiContainer",
        "VictoryZoomContainer",
        "Voronoi",
        "VoronoiHelpers",
        "Whisker",
        "Wrapper",
        "ZoomHelpers",
        "addEvents",
        "brushContainerMixin",
        "combineContainerMixins",
        "createContainer",
        "cursorContainerMixin",
        "makeCreateContainerFunction",
        "selectionContainerMixin",
        "useCanvasContext",
        "voronoiContainerMixin",
        "zoomContainerMixin",
      ]
    `);
  });
});
